OnPage API Pages By Resource

‌‌
This endpoint will return the list of pages where a specific resource is located. Using this function you will also get the data related to the pages that contain a specified resource.
You can get the URL of a resource using the Resources endpoint.

checked POST
Pricing

Your account will not be charged for using this function. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

All POST data should be sent in the JSON format (UTF-8 encoding). The task setting is done using the POST method. When setting a task, you should send all task parameters in the task array of the generic POST array.

Description of the fields for setting a task:

Field nameTypeDescription
idstring

ID of the task
required field
you can get this ID in the response of the Task POST endpoint
example:
"07131248-1535-0216-1000-17384017ad04"

urlstring

resource URL
required field
you can get this URL in the response of the Resources endpoint
example:
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js

limitinteger

the maximum number of returned pages
optional field
default value: 100
maximum value: 1000

offsetinteger

offset in the results array of returned pages
optional field
default value: 0
maximum value: 2000000
if you specify the 10 value, the first ten pages in the results array will be omitted and the data will be provided for the successive pages

filtersarray

array of results filtering parameters
optional field
you can add several filters at once (8 filters maximum)
you should set a logical operator and, or between the conditions
the following operators are supported:
regex, not_regex, <, <=, >, >=, =, <>, in, not_in, like, not_like
you can use the % operator with like and not_like to match any string of zero or more characters
example:
["meta.external_links_count","<=",50]["url","like","https://dataforseo.com/apis/dataforseo-labs-api"]

[["checks.high_waiting_time","=",false],
"and",["resource_type","=","html"]]

[["page_timing.duration_time","<",100],"and",[["checks.large_page_size","=",false],"or",["checks.high_waiting_time","=",false]]]

The full list of possible filters is available by this link.

order_byarray

results sorting rules
optional field
you can use the same values as in the filters array to sort the results
possible sorting types:
asc - results will be sorted in the ascending order
desc - results will be sorted in the descending order
you should use a comma to set up a sorting type
example:
["meta.external_links_count,desc"]
note that you can set no more than three sorting rules in a single request
you should use a comma to separate several sorting rules
example:
["page_timing.dom_complete,asc","size,desc"]

tagstring

user-defined task identifier
optional field
the character limit is 255
you can use this parameter to identify the task and match it with the result
you will find the specified tag value in the data object of the response


‌‌‌‌‌‌
As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array returned with an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        crawl_progressstring

status of the crawling session
possible values: in_progress, finished

        crawl_statusobject

details of the crawling session

            max_crawl_pagesinteger

maximum number of pages to crawl
indicates the max_crawl_pages limit you specified when setting a task

            pages_in_queueinteger

number of pages that are currently in the crawling queue

            pages_crawledinteger

number of crawled pages

        total_items_countinteger

total number of relevant items in the database

        items_countinteger

number of items in the results array

        itemsarray

items array

        html_pageobject
            resource_typestring

type of the returned resource = 'html'

            status_codeinteger

status code of the page

            locationstring

location header
indicates the URL to redirect a page to

            urlstring

page URL

            metaobject

page properties
the value depends on the resource_type

                titleinteger

page title

                charsetinteger

code page
example: 65001

                followboolean

indicates whether a page's 'meta robots' allows crawlers to follow the links on the page
if false, the page's 'meta robots' tag contains "nofollow" parameter instructing crawlers not to follow the links on the page

                generatorstring

meta tag generator

                htagsobject

HTML header tags

                descriptionstring

content of the description meta tag

                faviconstring

favicon of the page

                meta_keywordsstring

content of the keywords meta tag

                canonicalstring

canonical page

                internal_links_countinteger

number of internal links on the page

                external_links_countinteger

number of external links on the page

                images_countinteger

number of images on the page

                images_sizeinteger

total size of images on the page measured in bytes

                scripts_countinteger

number of scripts on the page

                scripts_sizeinteger

total size of scripts on the page measured in bytes

                stylesheets_countinteger

number of stylesheets on the page

                stylesheets_sizeinteger

total size of stylesheets on the page measured in bytes

                title_lengthinteger

length of the title tag in characters

                description_lengthinteger

length of the description tag in characters

                render_blocking_scripts_countinteger

number of scripts on the page that block page rendering

                render_blocking_stylesheets_countinteger

number of CSS styles on the page that block page rendering

                cumulative_layout_shiftfloat

Core Web Vitals metric measuring the layout stability of a page
measures the sum total of all individual layout shift scores for every unexpected layout shift that occurs during the entire lifespan of the page. Learn more.

                contentobject

overall information about content of the page

                    plain_text_sizeinteger

total size of the text on the page measured in bytes

                    plain_text_rateinteger

plaintext rate value
plain_text_size to size ratio

                    plain_text_word_countfloat

number of words on the page

                    automated_readability_indexfloat

Automated Readability Index

                    coleman_liau_readability_indexfloat

Coleman–Liau Index

                    dale_chall_readability_indexfloat

Dale–Chall Readability Index

                    flesch_kincaid_readability_indexfloat

Flesch–Kincaid Readability Index

                    smog_readability_indexfloat

SMOG Readability Index

                    description_to_content_consistencyfloat

consistency of the meta description tag with the page content
measured from 0 to 1

                    title_to_content_consistencyfloat

consistency of the meta title tag with the page content
measured from 0 to 1

                    meta_keywords_to_content_consistencyfloat

consistency of meta keywordstag with the page content
measured from 0 to 1

                deprecated_tagsarray

deprecated tags on the page

                duplicate_meta_tagsarray

duplicate meta tags on the page

                spellobject

spellcheck
hunspell spellcheck errors

                    hunspell_language_codestring

spellcheck language code

                    misspelledarray

array of misspelled words

                        wordstring

misspelled word

                resource_errorsobject

resource errors and warnings

                    errorsarray

resource errors

                        lineinteger

line where the error was found

                        messagestring

text message of the error
the full list of possible HTML errors can be found here

                    warningsarray

resource warnings

                        lineinteger

line the warning relates to
note that if "line": 0, the warning relates to the whole page

                        messagestring

text message of the warning
possible messages:
"Has node with more than 60 childs." - HTML page has at least 1 tag nesting over 60 tags of the same level
"Has more that 1500 nodes." - DOM tree contains over 1,500 elements
"HTML depth more than 32 tags." - DOM depth exceeds 32 nodes

                social_media_tagsobject

object of social media tags found on the page
contains social media tags and their content
supported tags include but are not limited to Open Graph and Twitter card

            page_timingobject

object of page load metrics

                time_to_interactiveinteger

Time To Interactive (TTI) metric
the time it takes until the user can interact with a page (in milliseconds)

                dom_completeinteger

time to load resources
the time it takes until the page and all of its subresources are downloaded (in milliseconds)

                largest_contentful_paintfloat

Core Web Vitals metric measuring how fast the largest above-the-fold content element is displayed
The amount of time (in milliseconds) to render the largest content element visible in the viewport, from when the user requests the URL. Learn more.

                first_input_delayfloat

Core Web Vitals metric indicating the responsiveness of a page
The time (in milliseconds) from when a user first interacts with your page to the time when the browser responds to that interaction. Learn more.

                connection_timeinteger

time to connect to a server
the time it takes until the connection with a server is established (in milliseconds)

                time_to_secure_connectioninteger

time to establish a secure connection
the time it takes until the secure connection with a server is established (in milliseconds)

                request_sent_timeinteger

time to send a request to a server
the time it takes until the request to a server is sent (in milliseconds)

                waiting_timeinteger

time to first byte (TTFB) in milliseconds

                download_timeinteger

time it takes for a browser to receive a response (in milliseconds)

                duration_timeinteger

total time it takes until a browser receives a complete response from a server (in milliseconds)

                fetch_startinteger

time to start downloading the HTML resource
the amount of time the browser needs to start downloading a page

                fetch_endinteger

time to complete downloading the HTML resource
the amount of time the browser needs to complete downloading a page

            onpage_scorefloat

shows how page is optimized on a 100-point scale
this field shows how page is optimized considering critical on-page issues and warnings detected;
100 is the highest possible score that means the page does not have any critical on-page issues and important warnings;
learn more about how the metric is calculated in this help center article

            total_dom_sizeinteger

total DOM size of a page

            custom_js_responsestring/object/integer

the result of executing a specified JS script
note that you should specify a custom_js field when setting a task to receive this data and the field type and its value will totally depend on the script you specified;you can also filter the results by this value specifying filters in the following way:
["custom_js_response.url", "like", "pixel"]

            custom_js_client_exceptionstring

error when executing a custom js
if the error occurred when executing the script you specified in the custom_js field, the error message would be displayed here

            broken_resourcesboolean

indicates whether a page contains broken resources

            broken_linksboolean

indicates whether a page contains broken links

            duplicate_titleboolean

indicates whether a page has duplicate title tags

            duplicate_descriptionboolean

indicates whether a page has a duplicate description

            duplicate_contentboolean

indicates whether a page has duplicate content

            click_depthinteger

number of clicks it takes to get to the page
indicates the number of clicks from the homepage needed before landing at the target page

            sizeinteger

resource size
indicates the size of a given page measured in bytes

            encoded_sizeinteger

page size after encoding
indicates the size of the encoded page measured in bytes

            total_transfer_sizeinteger

compressed page size
indicates the compressed size of a given page

            fetch_timestring

date and time when a resource was fetched
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

            cache_controlobject

instructions for caching

                cachableboolean

indicates whether the page is cacheable

                ttlinteger

time to live
the amount of time the browser caches a resource

            checksobject

website checks
on-page check-ups related to the page

                no_content_encodingboolean

page with no content encoding
indicates whether a page has no compression algorithm of the content

                high_loading_timeboolean

page with high loading time
indicates whether a page loading time exceeds 3 seconds

                is_redirectboolean

page with redirects
indicates whether a page has 3XX redirects to other pages

                is_4xx_codeboolean

page with 4xx status codes
indicates whether a page has 4xx response code

                is_5xx_codeboolean

page with 5xx status codes
indicates whether a page has 5xx response code

                is_brokenboolean

broken page
indicates whether a page returns a response code less than 200 or greater than 400

                is_wwwboolean

page with www
indicates whether a page is on a www subdomain

                is_httpsboolean

page with the https protocol

                is_httpboolean

page with the http protocol

                high_waiting_timeboolean

page with high waiting time
indicates whether a page waiting time (aka Time to First Byte) exceeds 1.5 seconds

                no_doctypeboolean

page with no doctype
indicates whether a page is without the declaration

                canonicalboolean

page is canonical

                no_encoding_meta_tagboolean

page with no meta tag encoding
indicates whether a page is without Content-Type;
informative only if the encoding is not explicit in the Content-Type header;
for example: Content-Type: "text/html; charset=utf8";
Note: available for pages with canonical check set to true

                no_h1_tagboolean

page with empty or absent h1 tags
Note: available for pages with canonical check set to true

                https_to_http_linksboolean

HTTPS page has links to HTTP pages
if true, this HTTPS page has links to HTTP pages;
Note: available for pages with canonical check set to true

                has_html_doctypeboolean

page with HTML doctype declaration
if true, the page has HTML DOCTYPE declaration

                size_greater_than_3mbboolean

page with size larger than 3 MB
if true, the page size is exceeding 3 MB;
Note: available for pages with canonical check set to true

                meta_charset_consistencyboolean

consistency between charset encoding and page charset
if true, the page's charset encoding doesn't match the actual charset of the page;
Note: available for pages with canonical check set to true

                has_meta_refresh_redirectboolean

pages with meta refresh redirect
if true, the page has tag that instructs a browser to load another page after a specified time span;
Note: available for pages with canonical check set to true

                has_render_blocking_resourcesboolean

page with render-blocking resources
if true, the page has render-blocking scripts or stylesheets;
Note: available for pages with canonical check set to true

                redirect_chainboolean

page with multiple redirects
if true, there were at least two redirects before our crawler reached this page

                low_content_rateboolean

page with low content rate
indicates whether a page has the plaintext size to page size ratio of less than 0.1;
Note: available for pages with canonical check set to true

                high_content_rateboolean

page with high content rate
indicates whether a page has the plaintext size to page size ratio of more than 0.9;
Note: available for pages with canonical check set to true

                low_character_countboolean

indicates whether the page has less than 1024 characters
Note: available for pages with canonical check set to true

                high_character_countboolean

indicates whether the page has more than 256,000 characters
Note: available for pages with canonical check set to true

                small_page_sizeboolean

indicates whether a page is too small
the value will be true if a page size is smaller than 1024 bytes;
Note: available for pages with canonical check set to true

                large_page_sizeboolean

indicates whether a page is too heavy
the value will be true if a page size exceeds 1 megabyte;
Note: available for pages with canonical check set to true

                low_readability_rateboolean

page with a low readability rate
indicates whether a page is scored less than 15 points on the Flesch–Kincaid readability test;
Note: available for pages with canonical check set to true

                irrelevant_descriptionboolean

page with irrelevant description
indicates whether a page description tag is irrelevant to the content of a page;
the relevance threshold is 0.2;
Note: available for pages with canonical check set to true

                irrelevant_titleboolean

page with irrelevant title
indicates whether a page title tag is irrelevant to the content of the page;
the relevance threshold is 0.3;
Note: available for pages with canonical check set to true

                irrelevant_meta_keywordsboolean

page with irrelevant meta keywords
indicates whether a page keywords tags are irrelevant to the content of a page;
the relevance threshold is 0.6;
Note: available for pages with canonical check set to true

                title_too_longboolean

page with a long title
indicates whether the content of the title tag exceeds 65 characters;
Note: available for pages with canonical check set to true

                title_too_shortboolean

page with short titles
indicates whether the content of title tag is shorter than 30 characters;
Note: available for pages with canonical check set to true

                deprecated_html_tagsboolean

page with deprecated tags
indicates whether a page has deprecated HTML tags;
Note: available for pages with canonical check set to true

                duplicate_meta_tagsboolean

page with duplicate meta tags
indicates whether a page has more than one meta tag of the same type;
Note: available for pages with canonical check set to true

                duplicate_title_tagboolean

page with more than one title tag
indicates whether a page has more than one title tag;
Note: available for pages with canonical check set to true

                no_image_altboolean

images without alt tags
Note: available for pages with canonical check set to true

                no_image_titleboolean

images without title tags
Note: available for pages with canonical check set to true

                no_descriptionboolean

pages with no description
indicates whether a page has an empty or absent description meta tag;
Note: available for pages with canonical check set to true

                no_titleboolean

page with no title
indicates whether a page has an empty or absent title tag;
Note: available for pages with canonical check set to true

                no_faviconboolean

page with no favicon
Note: available for pages with canonical check set to true

                seo_friendly_urlboolean

page with seo-frienldy URL
the ‘SEO-friendliness’ of a page URL is checked by four parameters:
– the length of the relative path is less than 120 characters
– no special characters
– no dynamic parameters
– relevance of the URL to the page
if at least one of them is failed then such URL is considered as not ‘SEO-friendly’;
Note: available for pages with canonical check set to true

                flashboolean

page with flash
indicates whether a page has flash elements

                frameboolean

page with frames
indicates whether a page contains frame, iframe, frameset tags

                lorem_ipsumboolean

page with lorem ipsum
indicates whether a page has lorem ipsum content;
Note: available for pages with canonical check set to true

                has_misspellingboolean

page with misspelled content

                seo_friendly_url_characters_checkboolean

URL characters check-up
indicates whether a page URL containing only uppercase and lowercase Latin characters, digits and dashes

                seo_friendly_url_dynamic_checkboolean

URL dynamic check-up
the value will be true if a page has no dynamic parameters in the url

                seo_friendly_url_keywords_checkboolean

URL keyword check-up
indicates whether a page URL is consistent with the title meta tag

                seo_friendly_url_relative_length_checkboolean

URL length check-up
the value will be true if a page URL no longer than 120 characters

                is_orphan_pageboolean

page with no internal links pointing to it
true if the page has no reference from other pages of the domain

                is_link_relation_conflictboolean

mix of_both_followed and nofollowed_incoming_internal_links
true if the page receives at least one link with the rel="nofollow" attribute and at least one dofollow linkn

                has_links_to_redirectsboolean

page is pointing to a page that redirect elsewhere
true if the page is pointing to a page that responds with a 3XX redirect

                canonical_chainboolean

pages with canonical pointing to a page that has a canonical pointing elsewhere
true if the page has a canonical link element pointing to a page that has a canonical pointing to a different page
e.g. page a is canonicalized to page b, which is canonicalized to page c

                canonical_to_redirectboolean

canonical page pointing to a page that redirects elsewhere
true if the page has a canonical link element pointing to a page that responds with a 3XX redirect

                canonical_to_brokenboolean

canonical link pointing to a broken page
true if the page has a a canonical link pointing to a page that responds with a 4xx or 5xx response codes

                recursive_canonicalboolean

recursive canonical error
true if the page contains rel="canonical" tag to another page, which in turn, refers back to the initial page

                is_orphan_pageboolean

page with no internal links pointing to it
true if the page has no reference from other pages of the domain

            content_encodingstring

type of encoding

            media_typestring

types of media used to display a page

            serverstring

server version

            is_resourceboolean

indicates whether a page is a single resource

            last_modifiedobject

contains data on changes related to the resource
if there is no data, the value will be null

                headerstring

date and time when the header was last modified
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00
if there is no data, the value will be null

                sitemapobject

date and time when the sitemap was last modified
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00
if there is no data, the value will be null

                    meta_tagstring

date and time when the meta tag was last modified
in the UTC format: "yyyy-mm-dd hh-mm-ss +00:00"
example:
2019-11-15 12:57:46 +00:00
if there is no data, the value will be null


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
curl --location --request POST "https://api.dataforseo.com/v3/on_page/pages_by_resource" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json" 
--data-raw '[
  {
    "id": "02241700-1535-0216-0000-034137259bc1",
    "url": "https://www.etsy.com/about/jobs.workco2018.js?"
  }
]'
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

$post_array = array();
// simple way to get a result
$post_array[] = array(
   "id" => "02241700-1535-0216-0000-034137259bc1",
   "url" => "https://www.etsy.com/about/jobs.workco2018.js?"
);
try {
   // POST /v3/on_page/pages_by_resource
   // the full list of possible parameters is available in documentation
   $result = $client->post('/v3/on_page/pages_by_resource', $post_array);
   print_r($result);
   // do something with post result
} catch (RestClientException $e) {
   echo "n";
   print "HTTP code: {$e->getHttpCode()}n";
   print "Error code: {$e->getCode()}n";
   print "Message: {$e->getMessage()}n";
   print  $e->getTraceAsString();
   echo "n";
}
$client = null;
?>
const post_array = [];

post_array.push({
  "id": "02241700-1535-0216-0000-034137259bc1",
  "url": "https://www.etsy.com/about/jobs.workco2018.js?"
});

const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.dataforseo.com/v3/on_page/pages_by_resource',
  auth: {
    username: 'login',
    password: 'password'
  },
  data: post_array,
  headers: {
    'content-type': 'application/json'
  }
}).then(function (response) {
  var result = response['data']['tasks'];
  // Result data
  console.log(result);
}).catch(function (error) {
  console.log(error);
});
from random import Random
from client import RestClient
# You can download this file from here https://api.dataforseo.com/v3/_examples/python/_python_Client.zip
client = RestClient("login", "password")

post_data = dict()
# simple way to get a result
post_data[len(post_data)] = dict(
    id="02241700-1535-0216-0000-034137259bc1",
    url="https://www.etsy.com/about/jobs.workco2018.js?"
)
# POST /v3/on_page/pages_by_resource
# the full list of possible parameters is available in documentation
response = client.post("/v3/on_page/pages_by_resource", post_data)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task on_page_pages_by_resource()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            var postData = new List<object>();
            // simple way to get a result
            postData.Add(new
            {
                id = "02241700-1535-0216-0000-034137259bc1",
                url = "https://www.etsy.com/about/jobs.workco2018.js?"
            });
            // POST /v3/on_page/pages_by_resource
            // the full list of possible parameters is available in documentation
            var taskPostResponse = await httpClient.PostAsync("/v3/on_page/pages_by_resource", new StringContent(JsonConvert.SerializeObject(postData)));
            var result = JsonConvert.DeserializeObject<dynamic>(await taskPostResponse.Content.ReadAsStringAsync());
            // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
            if (result.status_code == 20000)
            {
                // do something with result
                Console.WriteLine(result);
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20210129",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "3.3012 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "02241700-1535-0216-0000-034137259bc1",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "3.1325 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "on_page",
        "pages_by_resource"
      ],
      "data": {
        "api": "on_page",
        "function": "pages_by_resource",
        "url": "https://www.etsy.com/about/jobs.workco2018.js?",
        "limit": 3
      },
      "result": [
        {
          "crawl_progress": "finished",
          "crawl_status": {
            "max_crawl_pages": 10,
            "pages_in_queue": 0,
            "pages_crawled": 10
          },
          "total_items_count": 1,
          "items_count": 1,
          "items": [
            {
              "resource_type": "html",
              "status_code": 200,
              "location": null,
              "url": "https://www.etsy.com/de/impact?ref=ftr",
              "meta": {
                "title": "Etsy Carbon-Offset Shipping: Delivering a world of good",
                "charset": 65001,
                "follow": true,
                "generator": null,
                "htags": {
                  "h3": [
                    "Datenschutzeinstellungen",
                    "Etsy ist die erste große Online-Shopping-Plattform, die aus dem Versand entstandene Kohlendioxid-Emissionen zu 100 Prozent ausgleicht.*",
                    "Jedes Mal, wenn du auf Etsy etwas kaufst, gleichen wir ab jetzt die Kohlendioxid-Emissionen aus, indem wir positive Auswirkungen auf die Umwelt herbeiführen.",
                    "Bei Etsy nutzen wir die Macht unseres Unternehmens, um positive Änderungen herbeizuführen und einen Mehrwert für alle unsere Interessensgruppen zu schaffen. Unser Ziel, die Menschlichkeit im Handel zu erhalten, beinhaltet mehr, als lediglich Käufer und Verkäufer auf unserem Marktplatz zusammenzubringen. Es bedeutet auch, dass wir Positives für unsere Community, unsere Umwelt und die Weltwirtschaft bewirken.",
                    "Bei Etsy freuen wir uns sagen zu können, dass ökonomisches Empowerment unser Alltagsgeschäft ist. In unserem Marktplatz kann Kreativität zu einem florierenden Geschäft werden. Wir bieten unseren Verkäufern Zugang zu Millionen von Käufern und stellen ihnen Tools und Dienste bereit, die ihnen die Führung ihres Business erleichtern. Doch wir unterstützen sie auch anderweitig: Von der Verfechtung politischer Maßnahmen zur Erhöhung der wirtschaftlichen Absicherung bis hin zu finanzieller Entlastung im Katastrophenfall – wir geben unseren Verkäufern Rückendeckung.",
                    "Hier erfährst du mehr darüber, was wir in der Wirtschaft bewirken wollen und was wir dafür tun.",
                    "Vom ersten Tag an hat der Schutz unseres Planeten für Etsy eine hohe Priorität. Angesichts des Klimawandels arbeiten wir eindringlich daran, unseren ökologischen Fußabdruck so gering wie möglich zu halten. Wir sind stolz darauf, die erste große Online-Shopping-Plattform zu sein, die durch Versand entstandene Kohlendioxid-Emissionen vollständig ausgleicht. Und ab 2020 wird unsere gesamte Geschäftstätigkeit, unser Marktplatz inbegriffen, durch erneuerbare Energie betrieben werden.",
                    "Hier erfährst du mehr darüber, welche ökologischen Ziele wir verfolgen und was wir dafür tun.",
                    "Eine Kultur der Vielfalt und Inklusion zu fördern war schon immer Teil von Etsys DNA. In unserer Community aus Käufern, Verkäufern, Mitarbeitern und Geschäftspartnern sind Menschen jeglicher Herkunft und aus allen sozialen Schichten willkommen. Wir begrüßen unterschiedliche Erfahrungen und Sichtweisen, denn sie tragen dazu bei, uns stärker, widerstandsfähiger und in jeder Hinsicht besser zu machen.",
                    "Hier erfährst du mehr darüber, welche gesellschaftlichen Ziele wir verfolgen und was wir dafür tun.",
                    "Einkaufen auf Etsy",
                    "Verkaufen auf Etsy",
                    "Über Etsy",
                    "Hilfe"
                  ],
                  "h2": [
                    "Notwendige Cookies und Technologien",
                    "Personalized Advertising",
                    "Fußzeile"
                  ],
                  "h1": [
                    "Versand mit Klimakompensation: Wir liefern eine bessere Welt",
                    "Unser Engagement besser verstehen",
                    "Wirtschaftliches Engagement",
                    "Engagement für die Umwelt",
                    "Soziales Engagement",
                    "Aktualisiere deine Einstellungen"
                  ],
                  "h4": [
                    "Was bedeutet Emissionsausgleich?",
                    "Wie funktioniert das?",
                    "Kostet mich das etwas?",
                    "Warum ist das wichtig?"
                  ]
                },
                "description": "Etsy is the first e-commerce company to be carbon neutral, offsetting 100% of carbon emissions from shipping. That means the negative environmental impact of every delivery is balanced with something good.",
                "favicon": "https://www.etsy.com/images/favicon.ico",
                "meta_keywords": null,
                "canonical": null,
                "internal_links_count": 44,
                "external_links_count": 9,
                "inbound_links_count": 49,
                "images_count": 2,
                "images_size": 0,
                "scripts_count": 10,
                "scripts_size": 405515,
                "stylesheets_count": 4,
                "stylesheets_size": 130964,
                "title_length": 55,
                "description_length": 205,
                "render_blocking_scripts_count": 4,
                "render_blocking_stylesheets_count": 10,
                "cumulative_layout_shift": 0.10156329069412295,
                "content": {
                  "plain_text_size": 10755,
                  "plain_text_rate": 0.08332429459069991,
                  "plain_text_word_count": 1413,
                  "automated_readability_index": 19.595897435897434,
                  "coleman_liau_readability_index": 9.494734111543448,
                  "dale_chall_readability_index": 11.023804479285753,
                  "flesch_kincaid_readability_index": 2.2032082312591967,
                  "smog_readability_index": 24.268042663318734,
                  "description_to_content_consistency": 0.2142857164144516,
                  "title_to_content_consistency": 0.3333333432674408,
                  "meta_keywords_to_content_consistency": null
                },
                "deprecated_tags": null,
                "duplicate_meta_tags": [
                  "viewport"
                ],
                "spell": null,
                "resource_errors": {
                  "errors": [
                    {
                      "line": 570,
                      "message": "Bogus comment detected."
                    },
                    {
                      "line": 1009,
                      "message": "Character reference is not terminated by a semicolon."
                    },
                    {
                      "line": 1009,
                      "message": "Character reference is not terminated by a semicolon."
                    },
                    {
                      "line": 1009,
                      "message": "Character reference is not terminated by a semicolon."
                    },
                    {
                      "line": 1009,
                      "message": "Character reference is not terminated by a semicolon."
                    },
                    {
                      "line": 1009,
                      "message": "Character reference is not terminated by a semicolon."
                    }
                  ],
                  "warnings": [
                    {
                      "line": 0,
                      "message": "Has node with more than 60 childs."
                    }
                  ]
                },
                "social_media_tags": {
                  "fb:app_id": "89186614300",
                  "og:site_name": "Etsy",
                  "og:locale": "de_DE",
                  "og:title": "Etsy Carbon-Offset Shipping: Delivering a world of good",
                  "og:description": "Etsy is the first e-commerce company to be carbon neutral, offsetting 100% of carbon emissions from shipping. That means the negative environmental impact of every delivery is balanced with something good."
                }
              },
              "page_timing": {
                "time_to_interactive": 835,
                "dom_complete": 1073,
                "largest_contentful_paint": 1648.4750006347895,
                "first_input_delay": 0.0550001859664917,
                "connection_time": 9,
                "time_to_secure_connection": 10,
                "request_sent_time": 0,
                "waiting_time": 452,
                "download_time": 6,
                "duration_time": 477,
                "fetch_start": 0,
                "fetch_end": 477
              },
              "onpage_score": 88.36,
              "total_dom_size": 3627018,
              "custom_js_response": null,
              "custom_js_client_exception": null,
              "broken_resources": false,
              "broken_links": false,
              "duplicate_title": false,
              "duplicate_description": false,
              "duplicate_content": false,
              "click_depth": 1,
              "size": 129259,
              "encoded_size": 33427,
              "total_transfer_size": 34948,
              "fetch_time": "2021-02-24 17:04:54 +00:00",
              "cache_control": {
                "cachable": false,
                "ttl": 0
              },
              "checks": {
                "no_content_encoding": false,
                "high_loading_time": false,
                "is_redirect": false,
                "is_4xx_code": false,
                "is_5xx_code": false,
                "is_broken": false,
                "is_www": true,
                "is_https": true,
                "is_http": false,
                "high_waiting_time": false,
                "no_doctype": false,
                "canonical": true,
                "no_encoding_meta_tag": true,
                "no_h1_tag": false,
                "https_to_http_links": true,
                "has_html_doctype": true,
                "size_greater_than_3mb": false,
                "meta_charset_consistency": true,
                "has_meta_refresh_redirect": false,
                "has_render_blocking_resources": true,
                "redirect_chain": false,
                "low_content_rate": true,
                "high_content_rate": false,
                "low_character_count": false,
                "high_character_count": false,
                "small_page_size": false,
                "large_page_size": false,
                "low_readability_rate": true,
                "irrelevant_description": false,
                "irrelevant_title": false,
                "irrelevant_meta_keywords": false,
                "title_too_long": false,
                "title_too_short": false,
                "deprecated_html_tags": false,
                "duplicate_meta_tags": true,
                "duplicate_title_tag": false,
                "no_image_alt": true,
                "no_image_title": true,
                "no_description": false,
                "no_title": false,
                "no_favicon": false,
                "seo_friendly_url": false,
                "flash": false,
                "frame": false,
                "lorem_ipsum": false,
                "seo_friendly_url_characters_check": true,
                "seo_friendly_url_dynamic_check": false,
                "seo_friendly_url_keywords_check": false,
                "seo_friendly_url_relative_length_check": true,
                "is_orphan_page": false,
                "is_link_relation_conflict": false,
                "has_links_to_redirects": false,
                "canonical_chain": false,
                "canonical_to_redirect": false,
                "canonical_to_broken": false,
                "recursive_canonical": false,
                "from_sitemap": false
              },
              "content_encoding": "gzip",
              "media_type": "text/html",
              "server": "Apache",
              "is_resource": false,
              "last_modified": {
                "header": "2021-10-21 14:11:10 +00:00",
                "sitemap": null,
                "meta_tag": "2021-03-15 00:00:00 +00:00"
              }
            }
          ]
        }
      ]
    }
  ]
}